## NAME

v.in.region - Creates a vector polygon from the current region extent.

## KEYWORDS

vector, geometry

## SYNOPSIS

v.in.region
v.in.region --help
v.in.region [-d] output=name [type=string] [cat=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-d
  Densify lines using region resolution
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

output=name [required]
  Name for output vector map
type=string
  Select type: line or area
  Options: line, area
  Default: area
cat=integer
  Category value
  Default: 1

## DESCRIPTION

v.in.region creates a new vector map from current region extent.

If the output of v.in.region is to be used for raster reprojection, the -d flag should be used after setting the region to the raster map to be reprojected with r.proj.

## EXAMPLE

The example is based on the North Carolina sample data location. To create a bounding box vector map based on a raster map, the computational region is first set to the raster map. Then a vector bounding box is created based on the actual computational region (in this case precisely reflecting the pixel geometry of the raster map), resulting in a new vector polygon:

    g.region raster=soils_Kfactor -p
    v.in.region output=soils_Kfactor_bbox
    v.info map=soils_Kfactor_bbox

## SEE ALSO

g.region, r.proj, v.info

## AUTHOR

Radim Blazek

Last changed: $Date$

## SOURCE CODE

Available at: v.in.region source code (history)

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual